BGE(4)

NAME
bge - Broadcom BCM570x family Gigabit Ethernet driver

SYNOPSIS
bge* at pci? dev ? function ?

Configuration of PHYs may also be necessary. See mii(4).

DESCRIPTION
The bge device driver supports Gigabit Ethernet interfaces based on the Broadcom BCM570x family of Gigabit Ethernet chips and the BCM5906 chip. The interfaces supported by the bge driver include:

•   3Com 3c996-T (10BASE-T/100BASE-TX/1000BASE-T)

•   Dell PowerEdge 2550 integrated BCM5700 NIC (10BASE-T/100BASE-TX/1000BASE-T)

•   IBM x235 server integrated BCM5703x NIC (10BASE-T/100BASE-TX/1000BASE-T)

•   Netgear GA302T (10BASE-T/100BASE-TX/1000BASE-T)

•   SysKonnect SK-9D21 (10BASE-T/100BASE-TX/1000BASE-T)

•   SysKonnect SK-9D41 (1000BASE-SX)

The BCM570x family supports IPv4/TCP/UDP checksumming in hardware. The bge driver supports this feature of the chip. See ifconfig(8) for information on how to enable this feature.

The level of interrupt mitigation for received packets can be adjusted with the hw.bge.rx_lvl sysctl(8) control. A value of 1 yields a bge interrrupt for every two full-sized Ethernet frames. Each increment of the value will, roughly, halve receive interrupt rate, up to a maximum of 5, which interrupts about every 30 to 40 full-sized TCP segments.

SEE ALSO
arp(4), bce(4), ifmedia(4), mii(4), netintro(4), pci(4), ifconfig(8)

HISTORY
The bge driver first appeared in NetBSD 1.6.1.

AUTHORS
-nosplit The bge driver was written by Bill Paul <wpaul@windriver.com> for FreeBSD and ported to NetBSD by Frank van der Linden <fvdl@wasabisystems.com>, Jason R. Thorpe <thorpej@wasabisystems.com> and Jonathan Stone <jonathan@dsg.stanford.edu>.